Bug 100805 - Anaconda forces one to install bootloader on /dev/md0
Anaconda forces one to install bootloader on /dev/md0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-25 13:48 EDT by David Tonhofer
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-23 17:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2003-07-25 13:48:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20030208 Netscape/7.02

Description of problem:
In the 'Boot Loader Configuration' screen,
anaconda proposes to install the boot loader on /dev/md0
(if you have software RAID). What if my /boot is on /dev/md1?
(Pardon my ignorance if this is prohibited by software RAID)

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1.Install RH
2.Go to the Boot Loader Configuration screen
Comment 1 Jeremy Katz 2003-07-25 23:06:51 EDT
Are you talking about in the listbox which lists OS choices (and associates
/dev/md0 with Red Hat Linux)?
Comment 2 David Tonhofer 2003-09-22 10:18:05 EDT
Actually no (sorry about the late answer, it's just that I'm getting around
to installing stuff again now). In the screen "Boot loader configuration"
You can see

"The GRUB loader will be installed on /dev/md0" 

You can set this to be LILO but you cannot set this to be /dev/md1 for example.

As I said, this *might* not make sense.





Comment 3 Jeremy Katz 2003-09-23 17:31:10 EDT
The displayed device is the one that makes sense.  You can also use the advanced
boot loader screen to change things a little more.

Note You need to log in before you can comment on or make changes to this bug.